<?php 
/*------------------------  Version 20190731  ----------------------------*/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
//--end self downloader --
/******************** Defaults to allow StandAlone Debugging *****************/
if (!isset($_SESSION)) { 
  $SStart = date('z',mktime(0,0,0,5,15,date('Y')));	// Start of Eastern/Central Pacific Hurricane Season
  $SCPStart = date('z',mktime(0,0,0,6,1,date('Y')));	// Start of Central Pacific Hurricane Season
  $SEnd = date('z',mktime(0,0,0,11,30,date('Y')));	// End of Pacific Hurricane Season
	$_SESSION['CSSwidescreen']=1;
	echo '<style type="text/css">
		div img.center {
			width:100%;
			margin-left: auto;
			margin-right: auto;
		}
		</style>';
}
/****************** End Defaults to allow StandAlone Debugging ***************/
?>
<div style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656px') ?>;" class="center">

<div id="current_cond" class="center" style="width:100%">
<h3 align="center">Current Conditions - Eastern/Central Pacific Region</h3>
</div>
<div style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656px') ?>;" class="center">
<div id="cyclones_overviewMap" class="center">
<!-- East Pacific JS -->
<script language="Javascript" type="text/javascript">
function show_tab(nam)
   {
   document.getElementById("TC_activity_epac").style.display= "none";
   document.getElementById("TAFB_overview_epac").style.display= "none";
   document.getElementById(nam).style.display = "block";
   }
</script>




<!-- table that holds the Overview Graphic -->
<table border="0" cellspacing="0" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>">
<tbody>
<tr>
<td>
<noscript>&lt;font color="red"&gt;For best viewing experience, please enable browser JavaScript/Active Scripting.&lt;/font&gt;</noscript>

  <!-- **************************************************** -->
  <!-- ********* Begin GTWO-like Overview Graphic ********* -->
  <!-- **************************************************** -->
  <!-- start basin tabs -->
  
  <!-- Highlight Eastern/Central Pacific as active -->
  <table class="std" border="0" cellpadding="0" cellspacing="0" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>">
  <tbody>
  <tr align="center">
  <td style="border-left:1px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:0px solid #000000;" align="right"><img src ="https://www.nhc.noaa.gov/gifs/nhctab_on.jpg" alt="tab" height="35" width="1"/></td>
  <td style="border-left:0px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:0px solid #000000;" width="50%" class="nhctab_middle_off">Eastern/Central Pacific</td>
  <td style="border-left:0px solid #000000; border-right:1px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #dde4ff;" align="left"><img src ="https://www.nhc.noaa.gov/gifs/nhctab_on.jpg" alt="tab" height="34" width="1"/></td>
  <td style="border-left:0px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #000000;" align="right"><img src ="https://www.nhc.noaa.gov/gifs/nhctab_off.jpg" alt="tab" height="34" width="1"/></td>
  <td style="border-left:0px solid #000000; border-right:0px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #000000;" width="50%" class="nhctab_middle_on"><a href="wx_nhca.php">Atlantic</a></td>
  <td style="border-left:0px solid #000000; border-right:1px solid #000000; border-top:1px solid #000000; border-bottom:1px solid #000000;" align="left"><img src ="https://www.nhc.noaa.gov/gifs/nhctab_off.jpg" alt="tab" height="34" width="1"/></td>
  </tr>
  </tbody>
  </table>

  
  <!-- end basin tabs -->

  <!-- begin table that holds the main overview image -->
  <!-- Background and Table Cell Colors:
       dark blue/purple is:   #a9b6fc   
       light blue/purple is:  #dde4ff   
       dark blue navbar is:   #09248b 
  -->
  <table style="border-left:1px solid #000000; border-right:1px solid #000000; border-top:0px solid #000000; border-bottom:1px solid #000000;" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>" cellpadding="0" cellspacing="0" bgcolor="#dde4ff">
  <!-- Add a spacer row -->
  <tbody><tr>
  <td><img src ="https://www.nhc.noaa.gov/xgtwo/two_pac_0d0.png" alt="tab" height="8" width="1"/></td>
  </tr>
  <tr align="center">
  <td align="center" valign="top" class="white">

   <!-- begin table that holds the main overview image -->
   <table border="0" cellpadding="0" cellspacing="0" width="<?php echo ($_SESSION['CSSwidescreen']==1 ? '100%' : '656') ?>">
   <tbody>
   <tr>
   
   <td>
   <div class="center" id="TAFB_overview_epac" style="display:block; width:<?php echo ($_SESSION['CSSwidescreen']==1?'900':'656') ?>px"><img class="center" src ="https://www.nhc.noaa.gov/xgtwo/two_pac_0d0.png" width="<?php echo ($_SESSION['CSSwidescreen']==1?'900':'656') ?>" height="<?php echo ($_SESSION['CSSwidescreen']==1?'665':'353')?>" alt="Marine Forecasts Eastern/Central Pacific" usemap="#TAFB_overview_epac"/></div>
   </td>
   </tr>
<!--
   <tr>
   <td>&nbsp;</td>
   </tr>
   <tr>
   <td>
   <div class="center" id="TAFB_Graphicast_epac" style="display:block; width:<?php echo ($_SESSION['CSSwidescreen']==1?'900':'656') ?>px">
    <a href="https://www.nhc.noaa.gov/marine/graphicast.php?basin=ep#contents" target="_blank" title="Opens in New Tab"><img class="center" src ="https://www.nhc.noaa.gov/tafb_latest/graphicast_ep_latest.png" width="<?php echo ($_SESSION['CSSwidescreen']==1?'900':'656') ?>" height="<?php echo ($_SESSION['CSSwidescreen']==1?'665':'353')?>" alt="Graphicast Eastern/Central Pacific"/></a></div>
   </td>
   
   </tr>
-->
   </tbody>
   </table>
   <!-- end table that holds the main overview image -->

   <!-- begin table that holds the "choose focus" selector -->
   <table border="0" cellpadding="6" cellspacing="0" width="656">
   <tbody>
   <!--<tr>
   <td><spacer type="block" height="5"></td>
   </tr>
   -->
   <tr>
   
   <td align="center" class="size10ptbold" style="white-space: nowrap"><a href="#graphical-tropical">Graphical Tropical Weather &amp; 5-Day Outlooks</a> &nbsp; | &nbsp; <a href="#graphical-central-pacific">Central Pacific</a> &nbsp; | &nbsp; <a href="#current_cond" class="size10ptbold">Current Conditions</a></td>
   
   </tr>
   </tbody>
   </table>
   <!-- end table of "choose focus" selector -->

 </td>
 </tr>
 </tbody></table>

   <!-- Image Map "#TAFB_overview_epacgray" for TAFB East Pacific Graphic -->

   <map name="TAFB_overview_epac" id="epac">
  <area shape="poly" coords="70,11,348,11,348,226,471,226,471,308,70,308,70,183,70,80" href="https://www.nhc.noaa.gov/marine/forecast/enhanced_epac.php" target="_blank" alt="Mexico Offshore Waters" title="Mexico Offshore Waters" onmouseover="if(document.images) document.getElementById('overviewgraphic').src= 'https://www.nhc.noaa.gov/overview_epac/tafb_epac_graphics_epac.png';" onmouseout="if(document.images) document.getElementById('overviewgraphic').src='https://www.nhc.noaa.gov/overview_epac/tafb_epac_graphics.png';"/>
  <area shape="poly" coords="381,234,509,234,509,276,581,276,581,348,683,348,683,496,381,496" href="https://www.nhc.noaa.gov/marine/forecast/enhanced_epac2.php" target="_blank" alt="Central America Offshore Waters" title="Central America Offshore Waters" onmouseover="if(document.images) document.getElementById('overviewgraphic').src= 'https://www.nhc.noaa.gov/overview_epac/tafb_epac_graphics_epac2.png';" onmouseout="if(document.images) document.getElementById('overviewgraphic').src='https://www.nhc.noaa.gov/overview_epac/tafb_epac_graphics.png';"/>
  <area shape="poly" coords="392,108,388,116,384,139,383,161,390,184,404,203,412,212,433,218,450,216,470,212,483,200,484,184,498,176,520,173,535,172,536,180,530,192,526,207,522,222,516,232,514,245,510,250,521,252,536,252,555,251,572,256,584,262,585,278,583,293,580,311,582,322,591,332,604,341,612,346,619,346,630,343,638,336,655,341,666,348,675,355,678,350,685,344,690,338,694,330,700,322,706,318,717,314,727,314,738,308,742,303,754,299,757,304,752,307,747,312,749,318,756,318,764,312,769,309,778,311,787,312,794,315,799,322,807,325,823,324,834,328,844,328,854,327,870,321,880,321,883,322,878,324,878,328,886,333,896,334,899,0,642,1,614,35,614,44,616,55,622,68,626,80,632,95,632,110,628,120,620,123,613,112,606,103,596,94,594,84,594,72,594,61,584,53,573,48,560,54,550,46,539,42,524,42,510,44,500,48,501,55,507,64,495,62,479,61,466,54,449,52,437,54,426,56,413,68,402,69,396,77,388,90,390,100" href="wx_nhca.php" alt="North Atlantic Marine Forecasts" title="North Atlantic Marine Forecasts in New Tab"/>
</map>

   <!-- **************************************************** -->
   <!-- ********** End GTWO-like Overview Graphic ********** -->
   <!-- **************************************************** -->
</td></tr></tbody></table>
</div>
<hr/><div id="graphical-tropical" class="center" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : 656) ?>px;">
    <?php if (date('z')<$SStart || date('z')>$SEnd) { 
	    echo '<h3 align="center"><span style="color:#FF0033"><br/>Eastern Pacific Hurricane Season is from May 15 through November 30</span></h3><br/>';
	} else { include 'inc-nhcp-outlook.php';  ?>

      <!-- END OF CONTENT -->

       </td>
     </tr>
      </tbody>
    </table>
		<?php } ?>
      <p align="center" class="size10ptbold" style="white-space: nowrap"><a href="#graphical-tropical">Graphical Tropical Weather &amp; 5-Day Outlooks</a> &nbsp; | &nbsp; <a href="#graphical-central-pacific">Central Pacific</a> &nbsp; | &nbsp; <a href="#current_cond" class="size10ptbold">Current Conditions</a></p>

    </div>
</div>
<div id="graphical-central-pacific" class="center" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? '900' : 656) ?>px;">
	<hr/>
		<h2 align="center">Central Pacific Graphical Tropical Weather Outlook</h2>
    <?php if (date('z')<$SCPStart || date('z')>$SEnd) { 
	    echo '<h3 align="center"><span style="color:#FF0033"><br/>Central Pacific Hurricane Season is from June 1 through November 30</span></h3><br/>';
	} else { echo '<span style="color: red; font-size:13px"><b>This product is updated four times daily from June through November.  Special outlooks may be issued as conditions warrant.</b></span><br/><br/><a href="http://www.prh.noaa.gov/cphc/xgtwo/two_cpac_0d0.png" target="_blank" title="Larger Image"><img src="https://www.nhc.noaa.gov/xgtwo/two_cpac_0d0.png" height="'.($_SESSION['CSSwidescreen']==1?593:(593*.667)).'" width="'.($_SESSION['CSSwidescreen']==1?900:656).'" alt="Central Pacific Graphical Tropical Weather Outlook"/></a><br/>'; } ?>
  <p align="center" style="font-size:9px">
  Central Pacific Data and Image courtesy of <a href="http://www.prh.noaa.gov/cphc/" target="_blank" title="New Tab">Central Pacific Hurricane Center</a>
  </p>
</div>
<hr/>
<div class="center" align="center">
  <iframe id="nhc" width="320" height="158" scrolling="yes" frameborder="0" src="https://www.nhc.noaa.gov/widgets/nhc_widget.shtml"></iframe>
</div>    
</div>
